# Re: Feature freeze for 1.0.3

From: Jochen Eisinger (jochen.eisinger@gno.de)
Date: Thu Jul 13 2000 - 08:28:04 PDT

- Next message: Jens Petersohn: "Problem with HP backend..."
  - Previous message: Steve Underwood: "Re: Feature freeze for 1.0.3"
  - In reply to: Steve Underwood: "Re: Feature freeze for 1.0.3"
  - Next in thread: Petter Reinholdtsen: "Re: Feature freeze for 1.0.3"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi!

  > >
  > > I've downloaded the snapshot and encountered the following problems:
  > >
  > > # ./configure --enable-warnings; make clean; make
  > >
  > > - plustek & snapscan both use C++-style comments, so they don't compile.
  > > - mustek_pp should be commented out in dll.conf. Normally the backend
  > > realizes a printer but I'm not sure whether this is true for all
  > > printers...
  >
  > Why do people repeatedly call them C++ style comments? They have been
  > ANSI/ISO C comments since the very first revision of the standard. They are
  > C comments. What compiler complains about them?
  >

  I'm using egcs-2.91.66. The command line is

  gcc -c -g -O2 -W -Wall -Wstrict-prototypes -Wreturn-type -Wcast-align
  -Wpointer-arith -Wcast-qual -ansi
  -pedantic -DSCSIBUFFERSIZE=131072 -DHAVE_CONFIG_H -I. -I. -I../include
  -I../include -D_GNU_SOURCE
  -DPATH_SANE_CONFIG_DIR=/etc/sane.d -DPATH_SANE_DATA_DIR=/usr/share
  -DV_MAJOR=1 -DV_MINOR=0
  -DBACKEND_NAME=snapscan -DLIBDIR=/usr/lib/sane snapscan.c -fPIC -DPIC
  -o .libs/snapscan.lo

  and I receive errors like

  In file included from snapscan.c:234:
  snapscan-scsi.c:55: parse error before `/'

  -- jochen

      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Jens Petersohn: "Problem with HP backend..."
  - Previous message: Steve Underwood: "Re: Feature freeze for 1.0.3"
  - In reply to: Steve Underwood: "Re: Feature freeze for 1.0.3"
  - Next in thread: Petter Reinholdtsen: "Re: Feature freeze for 1.0.3"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Thu Jul 13 2000 - 08:17:52 PDT